Subject: RE: [Diffserv] draft-rk-diffserv-rsvp-sig-00.txt

From: Radhakrishna <[email-masked]>
Date: Tue, 11 Jul 2000 11:54:48 +0530

This draft is basically to add signaling and admission control capabilities
for
Differentiated Services where in end hosts and access routers can signal the
desired PHBs to network. The mechanisms described in this document can
also be used in intermediate nodes to provide an effective admission control
and involves minimum signaling overheads (no overheads in data path).

Although DCLASS (draft-ietf-issll-dclass-01.txt) object provides a mechanism
to
pass the DSCPs for marking, it does not address -
  (1) how these DSCPs are used (no associated Traffic Conditioning Specs)
   (2) Admission Control

The other drafts in this area (draft-ietf-issll-ds-map-00.txt,
draft-ietf-diffserv-rsvp-02.txt and
draft-ietf-issll-rsvp-aggr-02.txt) require mapping from IntServ to DiffServ
and also does not
address the specifics of admission control.

Hope this helps when you read through the document.

Regards,
......RK

> -----Original Message-----
> From:	Brian E Carpenter [SMTP:[email-masked]]
> Sent:	Monday, July 10, 2000 10:02 PM
> To:	Radhakrishna
> Cc:	[email-masked]; [email-masked]
> Subject:	Re: [Diffserv] draft-rk-diffserv-rsvp-sig-00.txt
> 
> This is already an area of active work in the ISSLL working group,
> so can you try on their list?
> 
> Thanks
> 
>   Brian Carpenter
>   diffserv co-chair
> 
> Radhakrishna wrote:
> > 
> > The draft-rk-diffserv-rsvp-sig-00.txt discusses the use of RSVP for
> > signaling and admission control in DiffServ networks. It also
> > defines the required RSVP objects. The use of RSVP as described
> > in this document simplifies the processing and can be used by
> > end hosts to signal the required PHBs to the network. It is also
> > useful to the network for admission control purposes and does not add
> > any overheads in data path. It also reduces the processing overheads of
> > RSVP messages.
> > 
> > Please let me know whether anybody has similar idea and whether we
> > can improve this draft for adding admission control mechanisms to
> > DiffServ networks.
> > 
> > Thanks,
> > .....RK
> > 
> > The draft is available at -
> > >
> http://www.ietf.org/internet-drafts/draft-rk-diffserv-rsvp-sig-00.txt.
> > >
> > 
> > _______________________________________________
> > diffserv mailing list
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/diffserv
> > Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/
>

---

From: "Rute C. Sofia" <[email-masked]>
Date: Tue, 11 Jul 2000 14:28:40 -0500

> Differentiated Services where in end hosts and access routers can signal the

Hi,

I have some questions and comments:

In section 1, you mention the use of a "DS session", but do not explain what
you mean by it...

Also, in the same section, last paragraph where you say "unlike standard RSVP
processing...This simplifies the processing in intermediate nodes...and these
nodes mantain a simple state of whether a reservation is set up or not".

So, there will still be the need of keeping status information on each hop
along the way, per microflow...so, how will this scale??

In Section 4., aggregation and resource re-negotiation, you mention the
possibility of using reservation aggregation. Shouldn't this be more explained,
how your model can be used considering RSVP aggregation? After all, DiffServ is
based in flow aggregation and so, mentioning admission control per-microflow is
very necessary, but mentioning admission control per flow aggregate is also
necessary...
How can these new RSVP objects be integrated with the current RSVP aggregation
work?

There are also some issues not mentioned on this draft, such has behavior
related to path changes, possibility of duplicate reservations and also
admission control in multicast scenarios, specially with aggregation...

In section 7., there's a misspelling :-), "The use of ISPEC" should be "The use
of IPSec",

    Regards,
        Rute Sofia